## iptstate 1.3

=== Makefile ===
#
# Copyright (C) 2002 - 2003 Phil Dibowitz.
#
# See iptstate.cc for copyright info
#
# Makefile for IPTState verion 1.3
#

### USERS CAN CHANGE STUFF HERE

PREFIX=/usr
SBIN=$(PREFIX)/sbin
INSTALL=/usr/bin/install
MAN=$(PREFIX)/share/man

### YOU SHOULD NOT NEED TO CHANGE ANYTHING BELOW HERE

CXX = g++
CXXFLAGS = -g -Wall -Wno-deprecated
CXXFILES = iptstate.cc
LIBS= -lncurses


all:	iptstate


iptstate:	iptstate.cc
	@echo "+------------------------------------------------------------+"
	@echo "| Welcome to IP Tables State by Phil Dibowitz                |"
	@echo "|                                                            |"
	@echo "| PLEASE read the LICENSE and the README for important info. |"
	@echo "|                                                            |"
	@echo "| You may also wish to read the README for install info,     |"
	@echo "| the WISHLIST for upcoming features, BUGS for known bugs    |"
	@echo "| and info on bug reports, and the Changelog to find out     |"
	@echo "| what's new.                                                |"
	@echo "|                                                            |"
	@echo "| Let's compile...                                           |"
	@echo "+------------------------------------------------------------+"
	@echo ""

	$(CXX) $(CXXFLAGS) $(CXXFILES) -o iptstate $(LIBS)
	@touch iptstate

	@echo ""
	@echo "All done. Do 'make install' as root and you should be set to go!"
	@echo ""


install:
	$(INSTALL) -D --mode=755 iptstate $(SBIN)/iptstate
	$(INSTALL) -D --mode=444 man/man1/iptstate.1 $(MAN)/man1/iptstate.1


clean:
	/bin/rm -rf iptstate


uninstall:
	/bin/rm -rf $(SBIN)/iptstate
	/bin/rm -rf $(MAN)/man1/iptstate.1

## iptstate 1.4

=== Makefile ===
#
# Copyright (C) 2002 - 2005 Phil Dibowitz.
#
# See iptstate.cc for copyright info
#
# Makefile for IPTState verion 1.4
#

### USERS CAN CHANGE STUFF HERE

PREFIX?=/usr
SBIN?=$(PREFIX)/sbin
INSTALL?=/usr/bin/install
STRIP?=/usr/bin/strip
MAN?=$(PREFIX)/share/man

### ADVANCED USERS AND PACKAGERS MIGHT WANT TO CHANGE THIS

CXX?= g++
CXXFLAGS?= -g -Wall
CXXFILES?= iptstate.cc
LIBS?= -lncurses

### YOU SHOULDN'T NEED TO CHANGE ANYTHING BELOW THIS

all:	iptstate


iptstate:	iptstate.cc
	@\
	echo "+------------------------------------------------------------+" ;\
	echo "| Welcome to IP Tables State by Phil Dibowitz                |" ;\
	echo "|                                                            |" ;\
	echo "| PLEASE read the LICENSE and the README for important info. |" ;\
	echo "|                                                            |" ;\
	echo "| You may also wish to read the README for install info,     |" ;\
	echo "| the WISHLIST for upcoming features, BUGS for known bugs    |" ;\
	echo "| and info on bug reports, and the Changelog to find out     |" ;\
	echo "| what's new.                                                |" ;\
	echo "|                                                            |" ;\
	echo "| Let's compile...                                           |" ;\
	echo "+------------------------------------------------------------+" ;\
	echo ""

	$(CXX) $(CXXFLAGS) $(CXXFILES) -o iptstate $(LIBS)
	@touch iptstate

	@\
	echo "" ;\
	echo "All done. Do 'make install' as root and you should be set to go!" ;\
	echo ""


strip:	iptstate
	$(STRIP) iptstate
	@touch strip


install:
	$(INSTALL) -D --mode=755 iptstate $(SBIN)/iptstate
	$(INSTALL) -D --mode=444 iptstate.1 $(MAN)/man1/iptstate.1


clean:
	/bin/rm -rf iptstate
	/bin/rm -rf strip


uninstall:
	/bin/rm -rf $(SBIN)/iptstate
	/bin/rm -rf $(MAN)/man1/iptstate.1

## iptstate 2.1

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #
-# Copyright (C) 2002 - 2005 Phil Dibowitz.
+# Copyright (C) 2002 - 2006 Phil Dibowitz.
 #
 # See iptstate.cc for copyright info
 #
-# Makefile for IPTState verion 1.4
+# Makefile for IPTState verion 2.1
 #
 
 ### USERS CAN CHANGE STUFF HERE
@@ -17,7 +17,7 @@
 ### ADVANCED USERS AND PACKAGERS MIGHT WANT TO CHANGE THIS
 
 CXX?= g++
-CXXFLAGS?= -g -Wall
+CXXFLAGS?= -g -Wall -O2
 CXXFILES?= iptstate.cc
 LIBS?= -lncurses
 
@@ -53,12 +53,12 @@
 
 strip:	iptstate
 	$(STRIP) iptstate
-	@touch strip
+	@touch .strip
 
 
 install:
 	$(INSTALL) -D --mode=755 iptstate $(SBIN)/iptstate
-	$(INSTALL) -D --mode=444 iptstate.1 $(MAN)/man1/iptstate.1
+	$(INSTALL) -D --mode=444 iptstate.8 $(MAN)/man8/iptstate.8
 
 
 clean:
@@ -69,4 +69,5 @@
 uninstall:
 	/bin/rm -rf $(SBIN)/iptstate
 	/bin/rm -rf $(MAN)/man1/iptstate.1
+	/bin/rm -rf $(MAN)/man8/iptstate.8

## iptstate 2.2.1

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #
-# Copyright (C) 2002 - 2006 Phil Dibowitz.
+# Copyright (C) 2002 - 2007 Phil Dibowitz.
 #
 # See iptstate.cc for copyright info
 #
-# Makefile for IPTState verion 2.1
+# Makefile for IPTState
 #
 
 ### USERS CAN CHANGE STUFF HERE
@@ -19,14 +19,21 @@
 CXX?= g++
 CXXFLAGS?= -g -Wall -O2
 CXXFILES?= iptstate.cc
-LIBS?= -lncurses
+
+# THIS IS FOR NORMAL COMPILATION
+LIBS?= -lncurses -lnetfilter_conntrack
+CPPFLAGS=
+# IF YOU WANT TO NOT USE libnetfilter_conntrack, comment out the above
+# two lines and uncomment these
+#LIBS?= -lncurses
+#CPPFLAGS= -DIPTSTATE_USE_PROC
 
 ### YOU SHOULDN'T NEED TO CHANGE ANYTHING BELOW THIS
 
 all:	iptstate
 
 
-iptstate:	iptstate.cc
+iptstate: iptstate.cc Makefile
 	@\
 	echo "+------------------------------------------------------------+" ;\
 	echo "| Welcome to IP Tables State by Phil Dibowitz                |" ;\
@@ -40,9 +47,9 @@
 	echo "|                                                            |" ;\
 	echo "| Let's compile...                                           |" ;\
 	echo "+------------------------------------------------------------+" ;\
-	echo ""
+	echo "";
 
-	$(CXX) $(CXXFLAGS) $(CXXFILES) -o iptstate $(LIBS)
+	$(CXX) $(CXXFLAGS) $(CXXFILES) -o iptstate $(LIBS) $(CPPFLAGS)
 	@touch iptstate
 
 	@\
@@ -50,10 +57,9 @@
 	echo "All done. Do 'make install' as root and you should be set to go!" ;\
 	echo ""
 
-
 strip:	iptstate
 	$(STRIP) iptstate
-	@touch .strip
+	@touch strip
 
 
 install:

## iptstate 2.2.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2002 - 2007 Phil Dibowitz.
+# Copyright (C) 2002 - 2009 Phil Dibowitz.
 #
 # See iptstate.cc for copyright info
 #
@@ -23,10 +23,6 @@
 # THIS IS FOR NORMAL COMPILATION
 LIBS?= -lncurses -lnetfilter_conntrack
 CPPFLAGS=
-# IF YOU WANT TO NOT USE libnetfilter_conntrack, comment out the above
-# two lines and uncomment these
-#LIBS?= -lncurses
-#CPPFLAGS= -DIPTSTATE_USE_PROC
 
 ### YOU SHOULDN'T NEED TO CHANGE ANYTHING BELOW THIS

=== debian/changelog ===
iptstate (2.2.2-2) unstable; urgency=low

  * Fix formatting for ICMP (Closes: #572778).

 -- Chris Taylor <ctaylor@debian.org>  Mon, 08 Mar 2010 06:50:14 +0000

iptstate (2.2.2-1) unstable; urgency=low

  * New maintainer (Closes: #572676).
  * New upstream release.  
  * Switch to dh7.
    - Bump build-dep on debhelper to (>= 7.0.50~).
  * Use new source format 3.0 (quilt).
    - Add build-dep on quilt.
  * Use new debian/copyright format.
  * Bump standards version to 3.8.4
  * Bump debian/compat to 7
  * Update Debian maintainer listing in CONTRIB in 00-Contrib.
  * Fix Makefile for Debian in 01-Makefile.
  * Fix manpage to be lintian clean in 02-Manpage.
  * Add debian/watch file.
  * Remove debian/dirs as it is not needed.
  * Rewrote from scratch debian/control to meet copyright law.

 -- Chris Taylor <ctaylor@debian.org>  Fri, 05 Mar 2010 23:14:35 +0000

iptstate (2.2.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix compatibility with GCC 4.3 (Closes: #455626)

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 19 Mar 2008 23:07:34 +0100

iptstate (2.2.1-1) unstable; urgency=low

  * New upstream version (closes: #413558)

 -- Brian Nelson <bnelson@debian.org>  Fri, 30 Mar 2007 16:31:35 -0700

iptstate (2.1-1) unstable; urgency=low

  * New upstream version. 
  * Typo fixed in package description. (closes: #363975)
  * Moved binary location to /usr/sbin.
  * Added su-to-root to menu entry.

 -- Brian Nelson <bnelson@debian.org>  Fri,  6 Oct 2006 23:18:40 -0400

iptstate (1.4-2) unstable; urgency=low

  * Compiled with -O2.  (closes: #322715) 

 -- Brian Nelson <bnelson@debian.org>  Tue, 15 Nov 2005 19:18:01 -0500

iptstate (1.4-1) unstable; urgency=low

  * New upstream version. (closes: #311873)

 -- Brian Nelson <bnelson@debian.org>  Mon,  6 Jun 2005 09:27:44 -0700

iptstate (1.3-2) unstable; urgency=low

  * Updated description to be more accurate. (closes: #215236) 

 -- Brian Nelson <bnelson@debian.org>  Sat, 11 Oct 2003 09:05:30 -0700

iptstate (1.3-1) unstable; urgency=low

  * New upstream version. (closes: #196553)
  * Builds with libstdc++5. (closes: #195652)
  * Adds dynamic sizing based on term info, but not in single-run mode.

 -- Brian Nelson <bnelson@debian.org>  Sat,  7 Jun 2003 16:30:06 -0700

iptstate (1.2.1-1) unstable; urgency=medium

  * New upstream version.
  * Fixes getprotocolbynumber failure. (closes: #150870)

 -- Brian Nelson <bnelson@bloodclot.net>  Thu, 27 Jun 2002 08:31:30 -0500

iptstate (1.2.0-1) unstable; urgency=low

  * New upstream version. (closes: #140292, #141100)

 -- Brian Nelson <bnelson@bloodclot.net>  Wed, 27 Mar 2002 03:07:30 -0500

iptstate (1.1.0-1) unstable; urgency=low

  * New upstream version. (closes: #140214, #140293, #140360, #140365, #140390)

 -- Brian Nelson <bnelson@bloodclot.net>  Wed, 27 Mar 2002 03:07:30 -0500

iptstate (1.0.1-2) unstable; urgency=low

  * Added manpage to the correct section. (closes: #140010, #140185)

 -- Brian Nelson <bnelson@bloodclot.net>  Wed, 27 Mar 2002 13:45:30 -0500

iptstate (1.0.1-1) unstable; urgency=low

  * Initial Release. (closes: #138584)

 -- Brian Nelson <bnelson@bloodclot.net>  Sat, 16 Mar 2002 08:54:45 -0500

=== debian/control ===
Source: iptstate
Section: admin
Priority: optional
Maintainer: Chris Taylor <ctaylor@debian.org>
Homepage: http://www.phildev.net/iptstate/
Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev, libnetfilter-conntrack-dev (>= 0.0.50), quilt
Standards-Version: 3.8.4

Package: iptstate
Architecture: any
Depends: ${shlibs:Depends},${misc:Depends}
Description: top-like interface to your netfilter connection-tracking table
 IP Tables State (iptstate) was originally written to implement
 the "state top" feature of IP Filter (see "The Idea" below) in
 IP Tables. "State top" displays the states held by your stateful
 firewall in a top-like manner.
 .
 Features include:
  - Top-like realtime state table information
  - Sorting by any field
  - Reversible sorting
  - Single display of state table
  - Customizable refresh rate
  - Display filtering
  - Color-coding
  - Open Source (specifically I'm using the zlib license)
  - much more...
 .
 To use iptstate, CONNTRACK should be enabled in your kernel.

## iptstate 2.2.3

=== debian/changelog ===
iptstate (2.2.3-1) unstable; urgency=low

  * Updated 03-ICMP.
  * Bump standards-version.
  * New upstream release. 

 -- Chris Taylor <ctaylor@debian.org>  Wed, 06 Apr 2011 06:22:34 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Chris Taylor <ctaylor@debian.org>
 Homepage: http://www.phildev.net/iptstate/
 Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev, libnetfilter-conntrack-dev (>= 0.0.50), quilt
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 
 Package: iptstate
 Architecture: any

## iptstate 2.2.5

=== debian/changelog ===
iptstate (2.2.5-1ubuntu0.1) xenial; urgency=medium

  * d/p/0001-Move-to-dyanmic-memory-for-state-entries.patch,
    d/p/0002-Fix-crashing-bug-on-DstIP-sort.patch: fix a crash on the first
    UI refresh making iptstate unusuable (LP: #1562333).

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 12 Sep 2017 08:15:46 +0200

iptstate (2.2.5-1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:42:00 +0000

iptstate (2.2.5-1) unstable; urgency=low

  * New upstream release.
  * Remove patches 00-Contrib 02-Manpage and 03-ICMP (fixed upstream). 
  * Bumped compat to 9.
  * Bumped standards-version.
  * Bumped build-dep on debhelper to 9.
  * Updated dates in debian/copyright.
  * Removed build-dep on quilt.

 -- Chris Taylor <ctaylor@debian.org>  Tue, 26 Jun 2012 02:00:12 +0000

iptstate (2.2.3-3) unstable; urgency=low

  * Bump standards-version.

 -- Chris Taylor <ctaylor@debian.org>  Fri, 02 Sep 2011 00:44:53 +0000

iptstate (2.2.3-2) unstable; urgency=low

  * Removed patch 03-ICMP.

 -- Chris Taylor <ctaylor@debian.org>  Wed, 06 Apr 2011 09:01:13 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Chris Taylor <ctaylor@debian.org>
 Homepage: http://www.phildev.net/iptstate/
-Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev, libnetfilter-conntrack-dev (>= 0.0.50), quilt
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9), libncurses5-dev, libnetfilter-conntrack-dev (>= 0.0.50)
+Standards-Version: 3.9.3
 
 Package: iptstate
 Architecture: any

=== debian/watch ===
version=3
http://sf.net/iptstate/iptstate-(.*)\.tar\.bz2

## iptstate 2.2.6

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2002 - 2009 Phil Dibowitz.
+# Copyright (C) 2002 - present Phil Dibowitz.
 #
 # See iptstate.cc for copyright info
 #

=== debian/changelog ===
iptstate (2.2.6-1build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:44:25 +0100

iptstate (2.2.6-1build1) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 May 2018 14:16:05 +0000

iptstate (2.2.6-1) unstable; urgency=medium

  * New upstream release (Closes: #805050)
  * Bump standards-version.
  * Update debian/copyright.
     - Update dates. 
  * Fix wording in long description (Closes: #682129)
  * Update watch to new upstream location (Closes: #810100)
  * Update debian/docs
     - Fix filename for README.md

 -- Chris Taylor <ctaylor@debian.org>  Tue, 13 Sep 2016 04:52:23 +0000

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/iptstate-$1\.tar\.gz/ \
  https://github.com/jaymzh/iptstate/tags .*/v?(\d\S*)\.tar\.gz

## iptstate 2.2.7

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,11 @@
 ### ADVANCED USERS AND PACKAGERS MIGHT WANT TO CHANGE THIS
 
 CXX?= g++
-CXXFLAGS?= -g -Wall -O2
+# All of our snprintf()s have size limits and are not a security issue,
+# but having to modulo every hours/second/minute variable in every snprintf
+# is the only way to work around format-truncation warning which is cumbersome
+# and hard to read. Hence -Wformat-truncation=0
+CXXFLAGS?= -g -Wall -O2 -Werror=format-security -Wformat-truncation=0
 CXXFILES?= iptstate.cc
 
 # THIS IS FOR NORMAL COMPILATION

=== debian/changelog ===
iptstate (2.2.7-1) unstable; urgency=medium

  * Team upload.
  * Maintain package in Package Salvage team
    Closes: #1087291
  * Version 2.2.7 also: Closes: #533291
  * Set Vcs-Fields (routine-update)
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * Trim trailing whitespace.
  * watch file standard 4 (routine-update)
  * Build-Depends: s/libncurses5-dev/libncurses-dev/
  * Use dh_install since upstream Makefile tries to change ownership
    which is not permitted

 -- Andreas Tille <tille@debian.org>  Sun, 01 Dec 2024 17:46:00 +0100

iptstate (2.2.7-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #994193).

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 28 Jul 2022 09:32:06 +0000

=== debian/control ===
Source: iptstate
Section: admin
Priority: optional
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: Chris Taylor <ctaylor@debian.org>
Homepage: http://www.phildev.net/iptstate/
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               libncurses-dev,
               libnetfilter-conntrack-dev
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/salvage-team/iptstate.git
Vcs-Browser: https://salsa.debian.org/salvage-team/iptstate

Package: iptstate
Architecture: any
Depends: ${shlibs:Depends},${misc:Depends}
Description: top-like interface to your netfilter connection-tracking table
 IP Tables State (iptstate) was originally written to implement
 the "state top" feature of IP Filter in IP Tables. "State top"
 displays the states held by your stateful firewall in a
 top-like manner.
 .
 Features include:
  - Top-like realtime state table information
  - Sorting by any field
  - Reversible sorting
  - Single display of state table
  - Customizable refresh rate
  - Display filtering
  - Color-coding
  - much more...
 .
 To use iptstate, CONNTRACK should be enabled in your kernel.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	echo "Rather use dh_install since upstream Makefile tries to change ownership which is not permitted."

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/iptstate-$1\.tar\.gz/ \
  https://github.com/jaymzh/iptstate/tags .*/v?(\d\S*)\.tar\.gz
